Get Transform – Media API – MediaKind
Get Transform
Get https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name
Get a transform by name.
RBAC Capability Required: ams.transform.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name string Required
- transform_name string Required
Response
200 A single Transform.
- id string Optional
- Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
- name string Optional
- 1-260 characters
- pattern: ^[^ \'<>%&:?/*+]+$
- The name of the resource
- properties object TransformProperties Required
- The properties of the Transform
- created string Optional
- format: date-time
- description string Optional
- <=1024 characters
- lastModified string Optional
- format: date-time
- outputs list of objects TransformOutput Required
- An array of TransformOutputs that the Transform should generate. Currently limited to one.
- onError enum Optional
- Defines what the service should do when one output fails.
- Allowed values: ContinueJob, StopProcessingJob
- preset object Required
- Preset that describes the operations that will be used to modify, transcode, or extract insights from the source file to generate the output.
Options for preset
- Microsoft.Media.BuiltInStandardEncoderPreset
- MediaKind.BuiltInAssetConverterPreset
- MediaKind.ThumbnailGeneratorPreset
- MediaKind.TrackInserterPreset
- MediaKind.AIPipelinePreset
- MediaKind.EncoderPreset
Errors
- 400 Bad Request
- error object ErrorDetail Required
- code string Required
- detail string Required
- ref string Required
- status integer Required
- error object ErrorDetail Required
- 401 Unauthorized
- 403 Forbidden
- 404 Not Found
- 429 Too Many Requests
- 500 Internal Server Error